#!/usr/bin/env python

from subprocess import Popen, PIPE, check_call
from nose.tools import eq_

def test_import_config_change_printout():
    # Touch a file so the import function will detect a change and trigger the actual import
    check_call(["touch", "/opt/monitor/etc/contactgroups.cfg"])

    # Run import command again, this time a change is detected and an import should be triggered
    p = Popen(["php", "/opt/monitor/op5/nacoma/mgmtpackimport.php", "--import", "--name", "Linux server"], stdout = PIPE)
    out, _ = p.communicate()

    eq_(out, "Nacoma import in progress. Config files have changed since last import\nConfiguration has been imported, overwriting database changes.\n")
    eq_(p.returncode, 0)

def test_import_no_config_changed():
    # When no file has changed since last import
    check_call(["php", "/opt/monitor/op5/nacoma/mgmtpackimport.php", "--import", "--name", "Linux server"], stdout = PIPE)

    # Then nothing should be written to stdout when doing another import
    p = Popen(["php", "/opt/monitor/op5/nacoma/mgmtpackimport.php", "--import", "--name", "Linux server"], stdout = PIPE)
    out, _ = p.communicate()

    eq_(out, "")
    eq_(p.returncode, 0)
