<?php
require_once('devtools/phptap.php');
if (empty($main_tap))
	$main_tap = new phptap();
$tap = $main_tap->sub_init('Export test');
set_user('host_7', array('op5_admins'));
$tap->ok(copy($HOME.'testconfig.cfg', $HOME.'exportconfig.cfg'), 'Copy testconfig to tmp location');
$cfg = $HOME.'exportconfig.cfg';

unset($slave_obj_array);
$import_warnings = array();
$import_errors = array();
$index = array();
$num_objs = array();
$obj_array = array();

$orig_conf = file($cfg);
$tap->ok(import_config('phptap', $cfg), "import_config('phptap', '$cfg')");

$changes = new ChangeLog_nacoma_Model();
$tap->ok(count($changes) == 0, 'No changes just after import');
global $DEBUG;
$DEBUG=true;
$tap->ok(do_export($changes) === array('type' => 'nothing to do'), 'Exporting no changes returns proper message');
$DEBUG=false;

# we must do a change to get nacoma to write the file. One is enough
$host = new host_nacoma_Model('host_using_address_template');
$tap->ok(!empty($host->obj), 'loaded host exists');
$old_address = $host->obj['address'];
$host->obj['address'] = 'localhost';
$host->save_object();
$tap->ok_empty($host->validation_error_list, 'Saved changed host correctly');
$host->obj['address'] = $old_address;
$host->save_object();
$tap->ok_empty($host->validation_error_list, 'Saved changed host correctly');
$changes = new ChangeLog_nacoma_Model();
$ret = do_export($changes);
$tap->ok_eq($ret, true, 'Exporting is successful');

$post_export_conf = file($cfg);
# line 4 is the one with the export date. Unset:
unset($orig_conf[3]);
unset($post_export_conf[3]);
$tap->ok($orig_conf === $post_export_conf, 'Config file is the same after import and export');
if ($orig_conf !== $post_export_conf) {
	exec('diff -u '.$HOME.'testconfig.cfg '.$cfg, $output);
	$tap->diag(implode("\n", $output));
}

$tap->done();
