<?php
define('TEST_RUN', 1);
if (getenv('COVERAGE')) {
	xdebug_start_code_coverage(XDEBUG_CC_UNUSED | XDEBUG_CC_DEAD_CODE);
	ob_start();
}

define('SKIP_KOHANA', true);
require('/opt/monitor/op5/ninja/index.php');

require_once('devtools/phptap.php');
$main_tap = new phptap("Webconfig test suite");

require_once('include/config.inc.php');
// This is needed to avoid permission denied messages
set_user('host_7', array('op5_admins'));

require_once('helptest.php');
require_once('oatest.php');
require_once('reverttest.php');

# if new tests expects testcfg to be in db, put them above this

require_once('exporttest.php');

$exit_code = $main_tap->done(false);

if ($exit_code <= 1) {
	// 1 => tests are TODO or SKIP, but not FAIL
	if (getenv('COVERAGE')) {
		ob_end_clean();
		$output_dir = getenv('COVERAGE');
		require_once('devtools/generate_coverage.php');
		exit(generate_coverage(xdebug_get_code_coverage(), array('devtools', 'test'), $output_dir));
	}
}

exit((int)($exit_code > 1));
